# Class WorkerService.WorkRequest

java.lang.Object
org.apache.zookeeper.server.WorkerService.WorkRequest

Enclosing class:
  `WorkerService`

public abstract static class WorkerService.WorkRequest extends Object
Callers should implement a class extending WorkRequest in order to schedule work with the service.

## Constructor Summary

Constructors
Constructor
Description
`WorkRequest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`cleanup()`
(Optional) If implemented, is called if the service is stopped or unable to schedule the request.
`abstract void`
`doWork()`
Must be implemented.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorkRequest

public WorkRequest()

## Method Details

### doWork

public abstract void doWork() throws Exception
Must be implemented. Is called when the work request is run.

Throws:
  `Exception`

### cleanup

public void cleanup()
(Optional) If implemented, is called if the service is stopped or unable to schedule the request.